//*****************************************************************************
//* Name:
//*      Mixer.cpp
//*
//* Project:
//*      1212 I/O Driver
//*
//* Author:
//*      Bill Jenkins
//*
//* Description:
//*
//* Modification Log:
//*
//*      1.1   4/1/97 Bill
//*      Initial version.  
//*
//*
//* Copyright (c) 1997 Korg, Inc.
//* All rights reserved.
//*
//* This program is protected as an unpublished work under the U.S.
//* copyright laws.  The above copyright notice is not intended to
//* effect a publication of this work.
//*
//* This program is the confidential and proprietary information of
//* Korg and all its subsidiaries.
//*
//* Note: This file was originally adapted from the Microsoft Windows
//*       95 DDK.  Copyright (c) 1991 - 1995  Microsoft Corporation.
//*****************************************************************************
#ifndef MIXER_H
#define MIXER_H

#include <mmsystem.h>
#ifndef K12PMCTRL_H
#include "12pmctrl.h"
#endif

#define DEST_WORD_MASK        0xFFFF

typedef struct tagMXDCLIENT NEAR *PMXDCLIENT;
typedef struct tagMXDCLIENT FAR  *LPMXDCLIENT;

typedef struct tagMXDCLIENT
{
    DWORD              fdwOpen; 
    HMIXER             hmx;           // handle that will be used
    DWORD              dwCallback;    // callback
    UINT               fuCallback;    // callback
    DWORD              dwInstance;    // app's private instance information
    WORD               cardIndex;     // identifies the card upon which the wave device resides
    WORD               deviceIndex;   // identifies which wave device on the card
    LPMXDCLIENT        lpNext;        // for list of clients 

} MXDCLIENT;


#endif // MIXER_H
